Skip to main content
PATCH
Update WebSocket application
Required permission: websocket_cluster_application.edit

Authorizations

Authorization
string
header
required

The Bearer Token generated on the Cloud UI.

Path Parameters

websocketApplication
string
required

The websocket application identifier

Body

application/json
name
string
Required string length: 2 - 40
Pattern: ^[a-z0-9_-]+$
allowed_origins
string[]
Maximum string length: 255
ping_interval
integer
Required range: 1 <= x <= 60
activity_timeout
integer
Required range: 1 <= x <= 60

Response

WebsocketApplicationResource

data
WebsocketApplicationResource · object
required
included
WebsocketServerResource · object[]